summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_functions.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/test_functions.sh')
-rw-r--r--source3/script/tests/test_functions.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/source3/script/tests/test_functions.sh b/source3/script/tests/test_functions.sh
index 4134376bfc..f263677bfc 100644
--- a/source3/script/tests/test_functions.sh
+++ b/source3/script/tests/test_functions.sh
@@ -19,8 +19,8 @@ samba3_stop_sig_kill() {
samba3_check_or_start() {
if [ -n "$SERVER_TEST_FIFO" ];then
- trap samba3_stop_sig_kill SIGINT SIGQUIT
- trap samba3_stop_sig_kill SIGTERM
+ trap samba3_stop_sig_kill INT QUIT
+ trap samba3_stop_sig_kill TERM
if [ -p "$SERVER_TEST_FIFO" ];then
return 0;